<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="@dimen/dp_240"
        android:layout_height="@dimen/dp_180"
        android:layout_centerInParent="true"
        android:background="@drawable/bg_dialog"
        android:minWidth="@dimen/dp_240"
        android:orientation="vertical"
        android:paddingTop="8dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:gravity="center_vertical"
            android:textColor="@color/black"
            android:textSize="@dimen/sp_12"
            android:textStyle="bold"
            android:visibility="visible"
            tools:text="消息提示" />

        <ImageView
            android:id="@+id/image"
            android:layout_width="@dimen/dp_48"
            android:layout_height="@dimen/dp_48"
            android:layout_gravity="center"
            android:layout_marginTop="@dimen/dp_8"
            android:adjustViewBounds="true"
            android:scaleType="centerCrop"
            android:src="@mipmap/ic_launcher" />

        <TextView
            android:id="@+id/message"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:layout_marginTop="@dimen/dp_8"
            android:layout_marginEnd="20dp"
            android:gravity="center"
            android:lineSpacingExtra="3dp"
            android:lineSpacingMultiplier="1.2"

            android:minHeight="50dp"
            android:textColor="@color/black"
            android:textSize="@dimen/sp_10"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="提示消息提示消息提示消息提示消息提示消息" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/linearLayout3"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_8"
            app:layout_constraintBottom_toBottomOf="parent">

            <TextView
                android:id="@+id/negtive"
                android:layout_width="@dimen/dp_52"
                android:layout_height="@dimen/dp_20"
                android:layout_marginEnd="@dimen/dp_32"
                android:layout_weight="1"
                android:background="@drawable/joined_background"
                android:gravity="center"
                android:singleLine="true"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_8"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="取消" />

            <TextView
                android:id="@+id/positive"
                android:layout_width="@dimen/dp_52"
                android:layout_height="@dimen/dp_20"
                android:layout_marginStart="@dimen/dp_32"
                android:layout_weight="1"
                android:background="@drawable/join_background"
                android:gravity="center"
                android:singleLine="true"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_8"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintVertical_bias="0.0"
                tools:text="申请安装" />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>